Export Domain Trust Certificates
post
/management/weblogic/{version}/domainRuntime/domainKeystoresRuntime/exportDomainTrustCertificates
Export only the Domain Trust keystore. Supported output types are PEM, JKS, and PKCS12. DER export is not supported.
Remote callers must use an encrypted management transport such as T3S or HTTPS.
Request
Supported Media Types
- application/json
Path Parameters
-
version(required): string
The version of the WebLogic REST interface.
Header Parameters
-
X-Requested-By(required): string
The 'X-Requested-By' header is used to protect against Cross-Site Request Forgery (CSRF) attacks. The value is an arbitrary name such as 'MyClient'.
Must contain the following fields:
Root Schema : Arguments
Type:
objectTitle:
Show Source
Arguments-
toFileName:
string
The name of the output file
-
toFilePassphrase:
string
The passphrase for the output file (if needed)
-
toFileType:
string
The type of the output file
Security
-
Admin: basic
Type:
basicDescription:A user in the Admin security role.
Response
200 Response
Returns the following fields: